## org.eclipse.datatools.enablement.sybase.asa.virtual
Class SybaseASAUDFNode

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
          org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDFNode
              org.eclipse.datatools.enablement.sybase.asa.virtual.SybaseASAUDFNode

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IFilterNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.virtual.IUDFNode, IVirtualNode

    public class SybaseASAUDFNode

extends org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDFNode

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IFilterNode
`SEPARATOR`

Constructor Summary
`SybaseASAUDFNode(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Method Summary
`java.lang.String` `getGroupID()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDFNode
`getFilterName`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
`addChildren, addChildren, getAdapter, getChildrenArray, getDisplayName, getFilterName, getName, getParent, getParentConnection, hasChildren, isCreateActionSupported, isCreateDistinctTypeSupported, isCreateRowTypeSupported, removeAllChildren, removeChildren, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode
`addChildren, addChildren, getChildrenArray, getDisplayName, getName, getParent, getParentConnection, hasChildren, removeAllChildren, removeChildren`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode
`addChildren, addChildren, getChildrenArray, getDisplayName, getName, getParent, getParentConnection, hasChildren, removeAllChildren, removeChildren`

Constructor Detail

### SybaseASAUDFNode

    public SybaseASAUDFNode(java.lang.String name,
                            java.lang.String displayName,
                            java.lang.Object parent)

Method Detail

### getGroupID

    public java.lang.String getGroupID()

  Specified by:
    `getGroupID` in interface `IVirtualNode`
  Overrides:
    `getGroupID` in class `org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDFNode`
  Returns:
    The ID that elements should carry to be included inside this virtual folder